Jn = m * R^2
Om = Vm * pi() / 180
Em = Om / tp

Jn = Jn + 6e-5

Msum = Mn + Jn * Em
Pn = (Mn + Jn * Em) * Om
Pdv = 2 * Pn
Pdvm = Pdv * 1.4

% motor - A-max 26 110181
Mdvn = 4.46e-3
ndvn = 6830
Odvn = ndvn / 60 * 2 * pi()
Pdv = Mdvn * Odvn
Jdv = 14.3e-7

Un = 4.5
R = 0.390
L = 0.0402e-3
Tya = 16.4e-3
Ke = 1 / (1640 * pi() / 180)
Km = 5.84e-3

% reductor
n = 0.7
Jr = 0.3 * Jdv
Mnn = Mn / n
i0 = sqrt( (Mnn + Jn * Em) / (1.2 * Jdv * Em) )

i = ceil(i0)

% reductor - Planetary Gearhead GP 26 B 144045
ir = 198
Jr = 0.4e-7

Jsum = Jr + Jdv + Jn / (ir^2)
Mtr = Jsum * ir * Em + Mn / (ir * n)
Ptr = Mtr * ir * Om

gamma = Mtr / Mdvn
alpha = ir * Om / Odvn

Kd = 1 / R
